> ## Documentation Index
> Fetch the complete documentation index at: https://ayrshare.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# User Profile を作成する

> Primary Profile の下に新しい User Profile を作成します。

export const PlansAvailable = ({plans = [], maxPackRequired}) => {
  let displayPlans = plans;
  if (plans && plans.length === 1) {
    const lowerCasePlan = plans[0].toLowerCase();
    if (lowerCasePlan === "business") {
      displayPlans = ["Launch", "Business", "Enterprise"];
    } else if (lowerCasePlan === "premium") {
      displayPlans = ["Premium", "Launch", "Business", "Enterprise"];
    }
  }
  return <Note>
Available on {displayPlans.length === 1 ? "the " : ""}
{displayPlans.join(", ").replace(/\b\w/g, l => l.toUpperCase())}{" "}
{displayPlans.length > 1 ? "plans" : "plan"}.

{maxPackRequired && <span onClick={() => window.open('https://www.ayrshare.com/docs/additional/maxpack', '_self')} className="flex items-center mt-2 cursor-pointer">
 <span className="px-1.5 py-0.5 rounded text-sm" style={{
    backgroundColor: '#C264B6',
    color: 'white',
    fontSize: '12px'
  }}>
   Max Pack required
 </span>
</span>}
</Note>;
};

export const HeaderAPI = ({noProfileKey, profileKeyRequired}) => <>
    <ParamField header="Authorization" type="string" required>
      <a href="/apis/overview#authorization">API Key</a> of the Primary Profile.
      <br />
      <br />
      Format: <code>Authorization: Bearer API_KEY</code>
    </ParamField>
    {!noProfileKey && (profileKeyRequired ? <ParamField header="Profile-Key" type="string" required>
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField> : <ParamField header="Profile-Key" type="string">
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField>)}
  </>;

<PlansAvailable plans={["business"]} maxPackRequired={false} />

Primary Profile の下に新しいプロファイルを作成します。User Profile が正常に作成されると、API レスポンスには新しく作成されたプロファイルに関連付けられた Profile Key が含まれます。ユーザーの代わりに API 呼び出しを行うために必要になるため、Profile Key はシステム内に安全に保管してください。

セキュリティ上の理由から、Profile Keys は次の 2 つの特定のケースでのみ返されます。

1. User Profile 作成時: 新しい User Profile が作成されたとき。
2. Ayrshare Dashboard 内: Ayrshare Dashboard 内で各プロファイルの Profile Key を確認できます。User Profile に切り替え、Profile Key ページに移動します。

Profile Key はシステム内に安全に保管することをお勧めします。

## ソーシャルネットワークの管理

disableSocial フィールドを使用して、表示から（追加/削除）ソーシャルネットワークを管理します。詳細は [Manage Social Accounts](/apis/profiles/overview#enable-or-disable-social-networks) を参照してください。

## アクティブな User Profiles の管理

[アクティブな User Profiles の管理](/multiple-users/manage-user-profiles#managing-active-user-profiles) に関する推奨事項をこちらで参照してください。

## 重要なセキュリティ上の考慮事項

<Warning>
  <ul className="custom-bullets">
    <li>Profile Keys を公開して共有したり、クライアントサイドコードや公開リポジトリで公開したりしないでください。</li>
    <li>Profile Keys は、User Profiles へのアクセスの認証と承認に使用される機密資格情報です。</li>
    <li>ユーザーデータの整合性と機密性を維持するために、適切なアクセス制御を持つシステム内に Profile Keys を安全に保管することが重要です。</li>
    <li>セキュリティ上の理由から、Profile Key は API を使用して再度取得することはできません。ただし、[ダッシュボード](/multiple-users/manage-user-profiles#get-the-profile-key) から Profile Key を取得できます。</li>
    <li>`refId` も、プロファイルをエンドポイントの戻り値に関連付けるために保管してください。</li>
  </ul>
</Warning>

## Header Parameters

<HeaderAPI noProfileKey />

## Body Parameters

<ParamField body="title" type="string" required>
  新しいプロファイルのタイトル。一意である必要があります。このタイトルはソーシャルアカウントリンクページに表示されます。
</ParamField>

<ParamField body="messagingActive" type="boolean" default={false}>
  このユーザープロファイルに対してメッセージング機能を有効化するには true に設定します。事前に Ayrshare アカウントでメッセージング機能が有効になっている必要があります。
</ParamField>

<ParamField body="hideTopHeader" type="boolean" default={false}>
  ソーシャルアカウントリンクページのトップヘッダーを非表示にします。
</ParamField>

<ParamField body="hideLogo" type="boolean" default={false}>
  このユーザープロファイルのみ、ソーシャルアカウントリンクページの会社ロゴを非表示にします。他のプロファイルのアカウント全体のロゴには影響しません。他のプロファイルではブランディングを維持したまま、個々のパートナープロファイルをホワイトラベル化するのに便利です。
</ParamField>

<ParamField body="topHeader" type="string">
  ソーシャルアカウントリンクページのヘッダーを変更します。設定されていない場合、"Social Accounts for "title"" と表示されます（"title" はプロファイルのタイトル）。
</ParamField>

<ParamField body="disableSocial" type="array">
  このユーザーのプロファイルで無効化されたソーシャルネットワークの配列。プライマリプロファイルの無効化されたソーシャルネットワークのリストが優先されます。

  利用可能なネットワーク: `bluesky`、`facebook`、`gmb`、`instagram`、`linkedin`、`pinterest`、`reddit`、`snapchat`、`telegram`、`threads`、`tiktok`、`twitter`、`youtube`。

  詳細は [ソーシャルネットワークの有効化または無効化](/apis/profiles/overview#enable-or-disable-social-networks) を参照してください。
</ParamField>

<ParamField body="team" type="boolean" default={false}>
  `team: true` を設定して、チームメンバーとして新しいユーザープロファイルを作成します。`email` フィールドは招待メールの送信に使用されます。要件の詳細については、[チームメンバーの招待](/multiple-users/manage-user-profiles#invite-a-team-member) を参照してください。
</ParamField>

<ParamField body="email" type="string">
  チームメンバー招待が送信される有効なメールアドレス。`team: true` の場合は必須です。
</ParamField>

<ParamField body="subHeader" type="string">
  ソーシャルアカウントリンクページのサブヘッダーを変更します。現在は "Click an icon to link a social network" と表示されています。削除するには空の文字列を設定します。

  [ヘルプリンク](/multiple-users/manage-user-profiles#help-links-visible) の変更方法を参照してください。
</ParamField>

<ParamField body="tags" type="array">
  文字列の配列を使用してユーザープロファイルにタグを付けます。これらのタグは、ユーザープロファイルを効果的に分類・管理するための内部組織ツールとして機能します。
</ParamField>

<RequestExample>
  ```javascript cURL theme={"system"}
  curl \
  -H "Authorization: Bearer API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{"title": "ACME Profile"}' \
  -X POST https://api.ayrshare.com/api/profiles
  ```

  ```javascript JavaScript theme={"system"}
  const API_KEY = "API_KEY";

  fetch("https://api.ayrshare.com/api/profiles", {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer ${API_KEY}`
        },
        body: JSON.stringify({
          title: "ACME Profile", // required
        }),
      })
        .then((res) => res.json())
        .then((json) => console.log(json))
        .catch(console.error);
  ```

  ```python Python theme={"system"}
  import requests

  payload = {'title': 'ACME Profile'}
  headers = {'Content-Type': 'application/json',
          'Authorization': 'Bearer API_KEY'}

  r = requests.post('https://api.ayrshare.com/api/profiles',
      json=payload,
      headers=headers)

  print(r.json())
  ```

  ```php PHP theme={"system"}
  <?php
  require 'vendor/autoload.php';    // Composer auto-loader using Guzzle. See .../guzzlephp.org/en/stable/overview.html

  $client = new GuzzleHttp\Client();
  $res = $client->request(
      'POST',
      'https://api.ayrshare.com/api/profiles',
      [
          'headers' => [
              'Content-Type'      => 'application/json',
              'Authorization'     => 'Bearer API_KEY'
          ],
          'title' => ['ACME Profile'],
      ]
  );

  echo json_encode(json_decode($res->getBody()), JSON_PRETTY_PRINT);
  ```

  ```go Go theme={"system"}
  package main

  import (
  	"bytes"
  	"encoding/json"
  	"log"
  	"net/http"
  )

  func main() {
  	message := map[string]interface{}{
  		"title": "ACME Profile"
  	}

  	bytesRepresentation, err := json.Marshal(message)
  	if err != nil {
  		log.Fatalln(err)
  	}

  	req, _ := http.NewRequest("POST", "https://api.ayrshare.com/api/profiles",
  		bytes.NewBuffer(bytesRepresentation))

  	req.Header.Add("Content-Type", "application/json; charset=UTF-8")
  	req.Header.Add("Authorization", "Bearer API_KEY")

  	res, err := http.DefaultClient.Do(req)
  	if err != nil {
  		log.Fatal("Error:", err)
  	}

  	res.Body.Close()
  }
  ```

  ```csharp C# theme={"system"}
  using System;
  using System.Net.Http;
  using System.Text;
  using System.Threading.Tasks;

  namespace CreateProfilePOSTRequest_csharp 
  {
    class CreateProfile
    {
        static async Task Main(string[] args)
        {
            string API_KEY = "API_KEY";
            string url = "https://api.ayrshare.com/api/profiles";
            string json = "{\"title\": \"ACME Profile\"}";

            using (var client = new HttpClient())
            {
                client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

                try
                {
                    var content = new StringContent(json, Encoding.UTF8, "application/json");
                    HttpResponseMessage response = await client.PostAsync(url, content);
                    
                    response.EnsureSuccessStatusCode();
                    string responseBody = await response.Content.ReadAsStringAsync();
                    Console.WriteLine(responseBody);
                }
                catch (HttpRequestException e)
                {
                    Console.WriteLine($"Error: {e.Message}");
                }
            }
        }
    }
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200: Success theme={"system"}
  {
      "status": "success",
      "title": "Digg It",
      "refId": "140b8709bd6ade099b242d895e268fb886130c53",
      "profileKey": "7TVRLEZ-24A43C0-NJW0Z82-F11984N",
      "messagingActive": true // true if messaging for this user profile is active
  }
  ```

  ```json 400: Profile Title Already Exists theme={"system"}
  {
    "action": "create",
    "status": "error",
    "code": 146,
    "message": "Profile title already exists."
  }
  ```
</ResponseExample>
